package edu.unika.aifb.owltools.serializer;

import org.semanticweb.kaon2.api.logic.*;

import edu.unika.aifb.owltools.utils.Printer;

/**
 * Serializes a set of rules the internal KAON2 way.
 */
public class RuleSerializer extends ProgramSerializer {
	
	public RuleSerializer(Printer printer) { super(printer); }
		
	/**
	 * just serializes a rule the KAON2 format
	 */
	public Object visit(Rule rule) {
		if (rule.getHeadLength()>1)
			m_DDL = true;
		m_printer.putline(rule.toString());
		return null;
	}
	
}
